<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans_obj.xsd"/>
<xsd:include schemaLocation="common_obj.xsd"/>


	<xsd:element name="LICENSING_CONFIGURATION" type="LicensingConfigurationContent"/>
	<xsd:element name="COMMON_LICENSING_PARAMS" type="CommonLicensingParamsContent"/>
	<xsd:element name="GENERAL_LICENSING_PARAMS" type="GeneralLicensingParamsContent"/>
	<xsd:element name="LICENSING_ATTRIBUTES" type="LicensingAttributesContent"/>
	<xsd:element name="PARTNERS" type="PartnersContent"/>
	<xsd:element name="ALCATEL" type="xsd:boolean" default="true"/>
	<xsd:element name="AVAYA" type="xsd:boolean" default="true"/>
	<xsd:element name="ERICSSON" type="xsd:boolean" default="true"/>
	<xsd:element name="MICROSOFT" type="xsd:boolean" default="true"/>
	<xsd:element name="NORTEL" type="xsd:boolean" default="true"/>
	<xsd:element name="IBM" type="xsd:boolean" default="true"/>
	<xsd:element name="CFS_PSTN_ENABLED" type="xsd:boolean"/>
	<xsd:element name="CFS_TELEPRESENCE_ENABLED" type="xsd:boolean"/>
	<xsd:element name="FEDERAL" type="xsd:boolean"/>   <!-- not supported  -->
	<xsd:complexType name="LicensingConfigurationContent">
		<xsd:sequence>
			<xsd:element ref="COMMON_LICENSING_PARAMS"/>
			<xsd:element ref="MCU_VERSION"/>
			<xsd:element ref="GENERAL_LICENSING_PARAMS"/>
			<xsd:element ref="LICENSING_ATTRIBUTES"/>
			<xsd:element ref="PARTNERS"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="CommonLicensingParamsContent">
		<xsd:sequence>
			<xsd:element ref="MPL_SERIAL_NUMBER"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="GeneralLicensingParamsContent">
		<xsd:sequence>
			<xsd:element ref="TOTAL_NUMBER_OF_PARTICIPANTS"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="LicensingAttributesContent">
		<xsd:sequence>
			<xsd:element ref="ENCRYPTION"/>
			<xsd:element ref="CFS_PSTN_ENABLED"/>
			<xsd:element ref="CFS_TELEPRESENCE_ENABLED"/>
			<xsd:element ref="FEDERAL"/>	 <!-- not supported  -->
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="PartnersContent">
		<xsd:sequence>
			<xsd:element ref="ALCATEL"/>
			<xsd:element ref="AVAYA"/>
			<xsd:element ref="ERICSSON"/>
			<xsd:element ref="MICROSOFT"/>
			<xsd:element ref="NORTEL"/>
			<xsd:element ref="IBM"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>


</xsd:schema>

